Index: webapp/cms/plugins/newsletter/pages/service/list/list.xsl
===================================================================
--- webapp/cms/plugins/newsletter/pages/service/list/list.xsl	(revision 8890)
+++ webapp/cms/plugins/newsletter/pages/service/list/list.xsl	(working copy)
@@ -30,7 +30,7 @@
 	<xsl:template match="/Newsletters">
 		<html>
 			<body>
-				<div id="service-newsletter-list">
+				<div class="service newsletter list">
 					
 					<!-- Title -->
 					<xsl:choose>
Index: webapp/cms/plugins/newsletter/pages/service/subscribe/subscribe.xsl
===================================================================
--- webapp/cms/plugins/newsletter/pages/service/subscribe/subscribe.xsl	(revision 8890)
+++ webapp/cms/plugins/newsletter/pages/service/subscribe/subscribe.xsl	(working copy)
@@ -39,7 +39,7 @@
                 <xsl:call-template name="css"/>
             </head>
 			<body>
-				<div id="service-newsletter-form-{$uniqueId}" class="newsletter-subscribe">
+				<div id="service-newsletter-form-{$uniqueId}" class="service newsletter subscribe">
 					
 					<!-- Title -->
 					<xsl:choose>
@@ -133,54 +133,68 @@
 					<i18n:param><xsl:value-of select="Categories/category/title"/></i18n:param>
 				</i18n:translate>
 			</p>
-			<!-- email -->
-			<label for="subscribe-email"><i18n:text i18n:key="NEWSLETTERS_SERVICE_INPUT_EMAIL"/></label><br/>
-			<input type="text" name="email" class="text" id="subscribe-email-{$uniqueId}" value="{FormResult/email}">
-				<xsl:if test="FormResult/msg = 'invalid-email'">
-					<xsl:attribute name="class">invalid</xsl:attribute>
-				</xsl:if>
-			</input>
+
+            <!-- category -->
+            <input type="hidden" name="category" value="{Categories/category/@id}"/>
+                        
+            <!-- email -->
+            <div class="field">
+                <div class="label">
+                    <label for="subscribe-email"><i18n:text i18n:key="NEWSLETTERS_SERVICE_INPUT_EMAIL"/></label>                
+                </div>
+                <div class="input">
+                    <input type="text" name="email" class="text" id="subscribe-email-{$uniqueId}" value="{FormResult/email}">
+                        <xsl:if test="FormResult/msg = 'invalid-email'">
+                            <xsl:attribute name="class">invalid</xsl:attribute>
+                        </xsl:if>
+                    </input>                
+                </div>
+            </div>
 			<xsl:if test="FormResult/msg = 'invalid-email'">
-				<div class="error"><i18n:text i18n:key="NEWSLETTERS_SERVICE_INPUT_EMAIL_INVALID"/></div>
+				<p class="error"><i18n:text i18n:key="NEWSLETTERS_SERVICE_INPUT_EMAIL_INVALID"/></p>
 			</xsl:if>
 			<xsl:if test="FormResult/msg = 'already-exist'">
-				<div class="error"><i18n:text i18n:key="NEWSLETTERS_SERVICE_EMAIL_ALREADY_EXISTS"/></div>
+				<p class="error"><i18n:text i18n:key="NEWSLETTERS_SERVICE_EMAIL_ALREADY_EXISTS"/></p>
 			</xsl:if>
-			<br/><br/>
-			
-			<!-- category -->
-			<input type="hidden" name="category" value="{Categories/category/@id}"/>
 			
 			<!-- captcha -->
-			<label for="captcha"><i18n:text i18n:key="NEWSLETTERS_SERVICE_INPUT_CAPTCHA"/></label><br/>
-
-			<xsl:call-template name="captcha">
-				<xsl:with-param name="key-name" select="'captcha-key'"/>
-	
-				<xsl:with-param name="value-name" select="'captcha'"/>
-				<xsl:with-param name="value-id" select="concat('captcha-', $uniqueId)"/>
-				<xsl:with-param name="value-style">float: left; margin-top: <xsl:value-of select="(@height - 16) div 2"/>px; width: <xsl:value-of select="@width"/>px;</xsl:with-param>
-				<xsl:with-param name="value-class">
-                    <xsl:text>captcha</xsl:text>
-    				<xsl:if test="FormResult/msg = 'invalid-captcha'">
-                        <xsl:text> invalid</xsl:text>
-    				</xsl:if>
-				</xsl:with-param>
-	
-				<xsl:with-param name="image-alt"/>
-				<xsl:with-param name="image-alt-i18n" select="false()"/>
-				<xsl:with-param name="image-class">captcha-image</xsl:with-param>
-				<xsl:with-param name="image-style">float:left; margin: 3px 3px 0 10px</xsl:with-param>
-			</xsl:call-template> 
-
+            <div class="field">
+                <div class="label">
+                    <label for="captcha"><i18n:text i18n:key="NEWSLETTERS_SERVICE_INPUT_CAPTCHA"/></label>
+                </div>
+                <div class="input">
+                    <xsl:call-template name="captcha">
+                        <xsl:with-param name="key-name" select="'captcha-key'"/>
+            
+                        <xsl:with-param name="value-name" select="'captcha'"/>
+                        <xsl:with-param name="value-id" select="concat('captcha-', $uniqueId)"/>
+                        <xsl:with-param name="value-style">float: left; margin-top: <xsl:value-of select="(@height - 16) div 2"/>px; width: <xsl:value-of select="@width"/>px;</xsl:with-param>
+                        <xsl:with-param name="value-class">
+                            <xsl:text>captcha</xsl:text>
+                            <xsl:if test="FormResult/msg = 'invalid-captcha'">
+                                <xsl:text> invalid</xsl:text>
+                            </xsl:if>
+                        </xsl:with-param>
+            
+                        <xsl:with-param name="image-alt"/>
+                        <xsl:with-param name="image-alt-i18n" select="false()"/>
+                        <xsl:with-param name="image-class">captcha-image</xsl:with-param>
+                        <xsl:with-param name="image-style">float:left; margin: 3px 3px 0 10px</xsl:with-param>
+                    </xsl:call-template>                
+                </div>
+            </div>
+                        
 			<xsl:if test="FormResult/msg = 'invalid-captcha'">
-				<div class="error"><i18n:text i18n:key="NEWSLETTERS_SERVICE_INPUT_CAPTCHA_INVALID"/></div>
+				<p class="error"><i18n:text i18n:key="NEWSLETTERS_SERVICE_INPUT_CAPTCHA_INVALID"/></p>
 			</xsl:if>
-			<br class="break"/>
+            <div class="bottom"><xsl:comment>empty</xsl:comment></div>
 			
 			<input type="hidden" name="subscribe"/>
 			<input type="hidden" name="siteName" value="{$siteName}"/>
-			<input type="submit" class="submit" value="NEWSLETTERS_SERVICE_INPUT_SUBMIT" i18n:attr="value"/>
+			
+            <div class="button">
+                <input type="submit" class="submit" value="NEWSLETTERS_SERVICE_INPUT_SUBMIT" i18n:attr="value"/>
+            </div>
 		</form>
 	</xsl:template>
 	
@@ -198,26 +212,30 @@
 		</xsl:choose>
 		
 		<xsl:if test="FormResult/msg = 'invalid-category'">
-			<div class="error"><i18n:text i18n:key="NEWSLETTERS_SERVICE_INPUT_CATEGORY_INVALID"/></div>
+			<p class="error"><i18n:text i18n:key="NEWSLETTERS_SERVICE_INPUT_CATEGORY_INVALID"/></p>
 		</xsl:if>
 			
-		<br/><br/>
 	</xsl:template>
 	
 	<xsl:template match="category">
 		<xsl:param name="indent">0</xsl:param>
 		
 		<xsl:variable name="id" select="@id"/>
-		<input type="checkbox" name="category" value="{@id}" id="category_{$uniqueId}_{position()}" style="margin-left: {$indent}px">
-			<xsl:if test="/NewsletterService/FormResult/category[. = $id]">
-				<xsl:attribute name="checked">checked</xsl:attribute>
-			</xsl:if>
-		</input>
-		<label for="category_{$uniqueId}_{position()}"><xsl:value-of select="title"/></label>
-		<xsl:if test="description != ''">
-			<span class="description">(<xsl:value-of select="description"/>)</span>
-		</xsl:if>
-		<br/>
+		<div class="field checkbox">
+            <div class="input">
+                <input type="checkbox" name="category" value="{@id}" id="category_{$uniqueId}_{position()}" style="margin-left: {$indent}px">
+                    <xsl:if test="/NewsletterService/FormResult/category[. = $id]">
+                        <xsl:attribute name="checked">checked</xsl:attribute>
+                    </xsl:if>
+                </input>            
+            </div>
+            <div class="label">
+                <label for="category_{$uniqueId}_{position()}"><xsl:value-of select="title"/></label>
+                <xsl:if test="description != ''">
+                    <span class="description">(<xsl:value-of select="description"/>)</span>
+                </xsl:if>            
+            </div>            
+        </div>
 		
 		<xsl:apply-templates select="category">
 			<xsl:with-param name="indent" select="$indent + 20"/>
Index: webapp/cms/plugins/newsletter/pages/unsubscribe.xsl
===================================================================
--- webapp/cms/plugins/newsletter/pages/unsubscribe.xsl	(revision 8890)
+++ webapp/cms/plugins/newsletter/pages/unsubscribe.xsl	(working copy)
@@ -85,8 +85,7 @@
 			<input type="hidden" name="categoryId" value="{categoryId}"/>
 			<input type="hidden" name="email" value="{email}"/>
 			
-			<input type="submit" class="submit" value="NEWSLETTERS_SERVICE_UNSUBSCRIBE_CONFIRM_BTN" i18n:attr="value">
-			</input>
+			<input type="submit" class="submit" value="NEWSLETTERS_SERVICE_UNSUBSCRIBE_CONFIRM_BTN" i18n:attr="value"/>
 		</form>
 	</xsl:template>
 	
Index: webapp/cms/plugins/news/pages/services/calendar/calendar.xsl
===================================================================
--- webapp/cms/plugins/news/pages/services/calendar/calendar.xsl	(revision 8890)
+++ webapp/cms/plugins/news/pages/services/calendar/calendar.xsl	(working copy)
@@ -156,9 +156,9 @@
             </head>
             
             <body id="default">
-                <div class="events-calendar">
+                <div class="service events-calendar">
                 	<xsl:if test="$title != ''">
-	                    <h1 class="title"><xsl:value-of select="$title"/></h1>
+	                    <h1><xsl:value-of select="$title"/></h1>
                 	</xsl:if>
                     <div id="calendar-{$uniqueId}"/>
                     <div id="day-events-{$uniqueId}" class="events" style="display:none">
Index: webapp/cms/plugins/socialnetworking/pages/services/twitter/show-tweets.xsl
===================================================================
--- webapp/cms/plugins/socialnetworking/pages/services/twitter/show-tweets.xsl	(revision 8892)
+++ webapp/cms/plugins/socialnetworking/pages/services/twitter/show-tweets.xsl	(working copy)
@@ -89,7 +89,7 @@
 				</script>
 			</head>
 			<body>
-				<div id="{$id}" class="show-tweets">
+				<div id="{$id}" class="service socialnetworking tweets">
 					<noscript>
 						<p><i18n:text i18n:key="PLUGINS_SOCIAL_NETWORKING_TWITTER_NOSCRIPT_BEGIN"/></p>
 						<ul>
Index: webapp/cms/plugins/mypage/pages/services/search.xsl
===================================================================
--- webapp/cms/plugins/mypage/pages/services/search.xsl	(revision 8890)
+++ webapp/cms/plugins/mypage/pages/services/search.xsl	(working copy)
@@ -45,7 +45,7 @@
             </head>
             
             <body id="default">
-                <div class="mypage-search-wrapper">
+                <div class="service service-mypage service-search service-mypage-search">
                     
                     <xsl:choose>
                         <xsl:when test="normalize-space(parameters/header) != ''">
@@ -56,6 +56,14 @@
                         </xsl:otherwise>
                     </xsl:choose>
                     
+                    <xsl:if test="@executed = 'true' and not(parameters/on-same-page = 'true')">
+                        <div class="back">
+                            <a href="{$cms-context}/{@url}">
+                                <i18n:text i18n:key="PLUGINS_MYPAGE_SEARCH_BACK_TO_FORM"/>
+                            </a>
+                        </div>
+                    </xsl:if>                    
+                    
                     <xsl:if test="not(persons/person) or parameters/on-same-page = 'true'">
                         <xsl:call-template name="search-form"/>
                         
@@ -65,10 +73,10 @@
                     </xsl:if>
                     
                     <xsl:if test="@executed = 'true'">
-                        <div class="results">
-                            <a name="results"/>
+                        <a name="nav"/>
                         
-                            <h2 class="title"><i18n:text i18n:key="PLUGINS_MYPAGE_SEARCH_RESULTS_TITLE"/></h2>
+                        <div class="results">
+                            <h2><i18n:text i18n:key="PLUGINS_MYPAGE_SEARCH_RESULTS_TITLE"/></h2>
                             
                             <xsl:choose>
                                 <xsl:when test="persons/person">
@@ -101,168 +109,161 @@
                         </div>
                     </xsl:if>
                     
-                    <xsl:if test="@executed = 'true' and not(parameters/on-same-page = 'true')">
-                        <a href="{$cms-context}/{@url}">
-                            <i18n:text i18n:key="PLUGINS_MYPAGE_SEARCH_BACK_TO_FORM"/>
-                        </a>
-                    </xsl:if>
                 </div>
             </body>
         </html>
     </xsl:template>
     
     <xsl:template name="search-form">
-        <div class="search-form">
         
-            <form name="search-form" action="{$cms-context}/{@url}#results" method="POST">
-                <input type="hidden" name="execute-search" value="true"/>
-                
-                <xsl:apply-templates select="parameters/search-attributes/attribute" mode="input"/>
-                
-                <div class="button">
-                    <button type="submit" class="search">
-                        <i18n:text i18n:key="PLUGINS_MYPAGE_SEARCH_RESULTS_SEARCH_ACTION"/>
-                    </button>
-                </div>
-            </form>
+        <form name="search-form" action="{$cms-context}/{@url}#results" method="POST">
+            <input type="hidden" name="execute-search" value="true"/>
             
-        </div>
+            <xsl:apply-templates select="parameters/search-attributes/attribute" mode="input"/>
+            
+            <div class="button">
+                <button type="submit" class="search">
+                    <i18n:text i18n:key="PLUGINS_MYPAGE_SEARCH_RESULTS_SEARCH_ACTION"/>
+                </button>
+            </div>
+        </form>
+            
     </xsl:template>
     
     <xsl:template name="alpha-search">
         <xsl:variable name="attribute" select="/search/parameters/search-attributes/attribute[@alpha-search = 'true']/@id"/>
         
-        <div class="alpha-search">
+        <div class="results-sort alpha">
             <h2><i18n:text i18n:key="PLUGINS_MYPAGE_SEARCH_BY_LETTER"/></h2>
             
             <form name="alpha-form" action="{$cms-context}/{@url}#results" method="POST">
-                <ul class="alpha-nav">
-                     <li class="letter">
+                <ul>
+                     <li>
                         <input type="submit" name="firstLetter" value="A">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'A'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                         </input>
                      </li>
-                     <li class="letter">
+                     <li>
                         <input type="submit" name="firstLetter" value="B">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'B'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                         </input>
                      </li>
-                     <li class="letter">
+                     <li>
                         <input type="submit" name="firstLetter" value="C">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'C'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                         </input>
                      </li>
-                     <li class="letter">
+                     <li>
                         <input type="submit" name="firstLetter" value="D">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'D'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                         </input>
                      </li>
-                     <li class="letter">
+                     <li>
                         <input type="submit" name="firstLetter" value="E">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'E'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                         </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="F">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'F'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="G">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'G'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="H">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'H'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="I">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'I'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="J">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'J'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="K">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'K'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="L">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'L'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="M">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'M'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="N">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'N'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="O">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'O'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="P">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'P'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="Q">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'Q'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="R">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'R'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="S">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'S'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="T">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'T'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="U">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'U'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="V">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'V'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="W">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'W'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="X">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'X'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="Y">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'Y'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="Z">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'Z'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
@@ -277,7 +278,7 @@
         <xsl:variable name="fieldId" select="concat(@id, '-', $uniqueId)"/>
         <div class="field">
             <div class="label"><label for="{$fieldId}"><xsl:copy-of select="label/i18n:*"/><xsl:text> </xsl:text></label></div>
-            <div>
+            <div class="input">
                 <xsl:choose>
                     <xsl:when test="value">
                         <select id="{$fieldId}" name="{@name}">
@@ -293,7 +294,7 @@
                         </select>
                     </xsl:when>
                     <xsl:otherwise>
-                        <input id="{$fieldId}" type="text" name="{@name}">
+                        <input id="{$fieldId}" type="text" name="{@name}" class="text">
                             <xsl:if test="not(ancestor::search/@first-letter) or ancestor::search/@first-letter = ''">
                                 <xsl:attribute name="value"><xsl:value-of select="ancestor::search/values/value[@attribute = $id]/@value"/></xsl:attribute>
                             </xsl:if>
Index: webapp/cms/plugins/cms/stylesheets/helper/common.xsl
===================================================================
--- webapp/cms/plugins/cms/stylesheets/helper/common.xsl	(revision 8899)
+++ webapp/cms/plugins/cms/stylesheets/helper/common.xsl	(working copy)
@@ -141,9 +141,7 @@
 		
 			<input type="hidden" name="{$key-name}" id="{$key-id}" value="{$id}"/>
 			
-			<input type="text" name="{$value-name}" maxlength="6" id="{$value-id}" style="{$value-style}" class="{$value-class}"/>
-			
-			<img style="{$image-style}" class="{$image-class}" src="{$contextPath}/plugins/cms/captcha/{$id}/image.png" id="{$image-id}">
+            <img style="{$image-style}" class="{$image-class}" src="{$contextPath}/plugins/cms/captcha/{$id}/image.png" id="{$image-id}">
                 <xsl:attribute name="alt">
                     <xsl:if test="$image-alt-i18n and $image-alt-catalogue != ''">
                         <xsl:value-of select="$image-alt-catalogue"/>
@@ -151,10 +149,13 @@
                     </xsl:if>
                     <xsl:value-of select="$image-alt"/>
                 </xsl:attribute>
-				<xsl:if test="$image-alt-i18n"><xsl:attribute name="i18n:attr">alt</xsl:attribute></xsl:if>
-			</img>
+                <xsl:if test="$image-alt-i18n"><xsl:attribute name="i18n:attr">alt</xsl:attribute></xsl:if>
+            </img>
+            
+            <div class="image-captcha-help"><i18n:text i18n:key="PLUGINS_CMS_CONTENT_CAPTCHA_REFRESH_NOSCRIPT" i18n:catalogue="plugin.cms"/></div>
+            			
+            <input type="text" name="{$value-name}" maxlength="6" id="{$value-id}" style="{$value-style}" class="{$value-class}"/>
 			
-			<div class="image-captcha-help"><i18n:text i18n:key="PLUGINS_CMS_CONTENT_CAPTCHA_REFRESH_NOSCRIPT" i18n:catalogue="plugin.cms"/></div>
 		</noscript>
 		
 		<script type="text/javascript">
Index: webapp/cms/plugins/tagcloud/pages/services/tagcloud/tagcloud.xsl
===================================================================
--- webapp/cms/plugins/tagcloud/pages/services/tagcloud/tagcloud.xsl	(revision 8892)
+++ webapp/cms/plugins/tagcloud/pages/services/tagcloud/tagcloud.xsl	(working copy)
@@ -32,14 +32,13 @@
 			</head>
 			
 			<body>
-				<div class="tag-cloud-wrapper">
+				<div class="service tags tag-cloud">
 				
 					<xsl:if test="$service-title != ''">
 	        			<h1><xsl:value-of select="$service-title" /></h1>
 	        		</xsl:if>
 	        	
-	        		<div class="tag-cloud">
-	        			
+	        		<div class="innertube">
 	        			<xsl:choose>
 			        		<xsl:when test="/tagCloud/searchUrl">
 			        			<xsl:choose>
@@ -77,7 +76,7 @@
 			        			</xsl:choose>
 			        		</xsl:otherwise>
 			        	</xsl:choose>
-			        	<div style="clear: left"></div>
+			        	<div class="bottom"><xsl:comment>empty</xsl:comment></div>
 		        	</div>
 				</div>
 			</body>
@@ -106,11 +105,10 @@
 				</xsl:if>
 				
 				<input type="hidden" name="tags-1" value="{@tag}"/>
-					<input type="hidden" name="tags-size" value="1"/>
+				<input type="hidden" name="tags-size" value="1"/>
 				<input type="hidden" name="submit-form"/>
 				
 				<input type="submit" name="submit" value="{text()}" class="tag size{@font-size}" title="{text()} - {frequency}"/>
-			
 			</div>
 	</form>
 	</xsl:template>
Index: webapp/cms/plugins/syndication/pages/feed2xhtml.xsl
===================================================================
--- webapp/cms/plugins/syndication/pages/feed2xhtml.xsl	(revision 8892)
+++ webapp/cms/plugins/syndication/pages/feed2xhtml.xsl	(working copy)
@@ -29,14 +29,14 @@
 			</head>
 			
 			<body>
-				<xsl:if test="$header != ''"><h3><xsl:value-of select="$header"/></h3></xsl:if>
-			
-				<div class="feed-wrapper">
+				<div class="service syndication">
 					
+                    <xsl:if test="$header != ''"><h1><xsl:value-of select="$header"/></h1></xsl:if>
+                                    
 					<xsl:apply-templates select="image"/>
 					
-					<h1><xsl:value-of select="@title"/></h1>
-					<h2><xsl:value-of select="@description"/></h2>
+					<h2><xsl:value-of select="@title"/></h2>
+					<h3><xsl:value-of select="@description"/></h3>
 					
 					<!-- 
 					<xsl:if test="link">
@@ -72,7 +72,12 @@
 	</xsl:template>
 	
 	<xsl:template match="entry"> 
-		<div class="feed-entry">
+		<div>
+             <xsl:attribute name="class">feed-entry
+                <xsl:if test="position() mod 2 = 0"><xsl:text> even</xsl:text></xsl:if>                                
+                <xsl:if test="position() = 1"><xsl:text> first</xsl:text></xsl:if>
+                <xsl:if test="position() = last()"><xsl:text> last</xsl:text></xsl:if>
+            </xsl:attribute>
 			
 			<!-- Item title -->
 			<div class="feed-entry-title">
Index: webapp/cms/plugins/odf-web/pages/services/search/search.xsl
===================================================================
--- webapp/cms/plugins/odf-web/pages/services/search/search.xsl	(revision 8890)
+++ webapp/cms/plugins/odf-web/pages/services/search/search.xsl	(working copy)
@@ -47,12 +47,10 @@
 		<xsl:choose>
 			<xsl:when test="hits/hit">
 				<xsl:call-template name="hits"/>
-				
 				<xsl:call-template name="pagination"/>
 			</xsl:when>
-			
 			<xsl:when test="/search/form/values and not(/search/illegal-textfield)">
-				<div class="no-result"><i18n:text i18n:key="PLUGINS_ODFWEB_SERVICE_SEARCH_NO_RESULT"/></div>
+				<p class="no-result"><i18n:text i18n:key="PLUGINS_ODFWEB_SERVICE_SEARCH_NO_RESULT"/></p>
 			</xsl:when>
 		</xsl:choose>
 	</xsl:template>
@@ -83,7 +81,7 @@
 		 + -->
 	<xsl:template name="results-sort">
 		<div class="results-sort">
-			<ul class="sort">
+			<ul>
 				<li><span><i18n:text i18n:key="PLUGINS_ODFWEB_SERVICE_SEARCH_SORT_BY"/></span></li>
 				<li>
 					<xsl:choose>
Index: webapp/cms/plugins/web/pages/services/search-criteria/search-criteria.xsl
===================================================================
--- webapp/cms/plugins/web/pages/services/search-criteria/search-criteria.xsl	(revision 8889)
+++ webapp/cms/plugins/web/pages/services/search-criteria/search-criteria.xsl	(working copy)
@@ -45,7 +45,7 @@
 		
 			<body id="default">
 				
-				<div id="service-search-wrapper">
+				<div class="service service-search service-search-default">
 					
 					<xsl:choose>
 						<xsl:when test="$header != ''"><h1><xsl:value-of select="$header"/></h1></xsl:when>
@@ -81,11 +81,10 @@
 			<!-- Textfield -->
 			<div class="field">
 				<div class="label"><label for="search-input-{$uniqueId}"><i18n:text i18n:key="FRONT_MODULE_SEARCH_KEYWORDS"/></label></div>
-				<div>
-					<input id="search-input-{$uniqueId}" type="text" name="textfield" value="{/search/form/values/textfield}"/>
-					<br/>
+				<div class="input">
+					<input id="search-input-{$uniqueId}" type="text" name="textfield" value="{/search/form/values/textfield}" class="text"/>
 					<xsl:if test="/search/illegal-textfield">
-						<span class="error"><i18n:text i18n:key="PLUGINS_WEB_SERVICE_FRONT_SEARCH_INVALID_TEXTFIELD"/></span>
+						<p class="error"><i18n:text i18n:key="PLUGINS_WEB_SERVICE_FRONT_SEARCH_INVALID_TEXTFIELD"/></p>
 					</xsl:if>
 				</div>
 			</div>
@@ -94,8 +93,8 @@
 			<xsl:if test="/search/form/fields/all-words">
 				<div class="field">
 					<div class="label"><label for="search-all-words-{$uniqueId}"><i18n:text i18n:key="FRONT_MODULE_SEARCH_ALL_WORDS"/></label></div>
-					<div>
-						<input id="search-all-words-{$uniqueId}" type="text" name="all-words" value="{/search/form/values/all-words}"/>
+					<div class="input">
+						<input id="search-all-words-{$uniqueId}" type="text" name="all-words" value="{/search/form/values/all-words}" class="text"/>
 					</div>
 				</div>
 			</xsl:if>
@@ -103,8 +102,8 @@
 			<xsl:if test="/search/form/fields/exact-wording">
 				<div class="field">
 					<div class="label"><label for="search-exact-wording-{$uniqueId}"><i18n:text i18n:key="FRONT_MODULE_SEARCH_EXACT_PHRASE"/></label></div>
-					<div>
-						<input id="search-exact-wording-{$uniqueId}" type="text" name="exact-wording" value="{/search/form/values/exact-wording}"/>
+					<div class="input">
+						<input id="search-exact-wording-{$uniqueId}" type="text" name="exact-wording" value="{/search/form/values/exact-wording}" class="text"/>
 					</div>
 				</div>
 			</xsl:if>
@@ -112,8 +111,8 @@
 			<xsl:if test="/search/form/fields/no-words">
 				<div class="field">
 					<div class="label"><label for="search-no-words-{$uniqueId}"><i18n:text i18n:key="FRONT_MODULE_SEARCH_ANY_WORDS"/></label></div>
-					<div>
-						<input id="search-no-words-{$uniqueId}" type="text" name="no-words" value="{/search/form/values/no-words}"/>
+					<div class="input">
+						<input id="search-no-words-{$uniqueId}" type="text" name="no-words" value="{/search/form/values/no-words}" class="text"/>
 					</div>
 				</div>
 			</xsl:if>
@@ -122,7 +121,7 @@
 				<xsl:when test="count(/search/form/fields/pages/page) &gt; 1">
 					<div class="field">
 						<div class="label"><label for="page-input"><i18n:text i18n:key="FRONT_MODULE_SEARCH_PAGES"/></label></div>
-						<div>
+						<div class="input">
 							<select name="pages" id="page-input">
 								<option>
 									<xsl:attribute name="value">
@@ -140,57 +139,53 @@
 									</option>
 								</xsl:for-each>
 							</select>
-							<br/>
 						</div>
 					</div>
 				</xsl:when>
 				<xsl:when test="count(/search/form/fields/pages/page) = 1">
-					<div><input type="hidden" name="pages" value="{/search/form/fields/pages/page/@path}"/></div>
+					<input type="hidden" name="pages" value="{/search/form/fields/pages/page/@path}"/>
 				</xsl:when>
 			</xsl:choose>
 			
 			<xsl:choose>
-					<xsl:when test="/search/form/fields/content-types-choice = 'list' and count(/search/form/fields/content-types/type) &gt; 1">
-						<div class="field">
-						<div class="label"><label for="ctype-input"><i18n:text i18n:key="FRONT_MODULE_SEARCH_CONTENTTYPE"/></label></div>
-						<div>
-							<select name="content-types" id="ctype-input">
-								<option>
-									<xsl:attribute name="value">
-										<xsl:for-each select="/search/form/fields/content-types/type"><xsl:value-of select="@id"/><xsl:if test="position() != last()">,</xsl:if></xsl:for-each>
-									</xsl:attribute>
-									<i18n:text i18n:key="FRONT_MODULE_SEARCH_CONTENTTYPE_ALL_OPTION"/>
-								</option>
-								<xsl:for-each select="/search/form/fields/content-types/type">
-									<xsl:variable name="id" select="@id"/>
-									<option value="{$id}">
-										<xsl:if test="/search/form/values/content-type[$id = .]">
-											<xsl:attribute name="selected">selected</xsl:attribute>
-										</xsl:if>
-										<xsl:copy-of select="."/>
-									</option>
-								</xsl:for-each>
-							</select>
-							<br/>
-						</div>
-					</div>
-					</xsl:when>
-					<xsl:when test="count(/search/form/fields/content-types/type) = 1">
-						<div><input type="hidden" name="content-types" value="{/search/form/fields/content-types/type/@id}"/></div>
-					</xsl:when>
-					<xsl:when test="/search/form/fields/content-types-choice = 'none' or /search/form/fields/content-types-choice = 'filter'">
-						<div>
-							<xsl:for-each select="/search/form/fields/content-types/type">
-								<input type="hidden" name="content-types" value="{@id}"/>
-							</xsl:for-each>
-						</div>
-					</xsl:when>
+				<xsl:when test="/search/form/fields/content-types-choice = 'list' and count(/search/form/fields/content-types/type) &gt; 1">
+					<div class="field">
+					   <div class="label"><label for="ctype-input"><i18n:text i18n:key="FRONT_MODULE_SEARCH_CONTENTTYPE"/></label></div>
+    					<div class="input">
+    						<select name="content-types" id="ctype-input">
+    							<option>
+    								<xsl:attribute name="value">
+    									<xsl:for-each select="/search/form/fields/content-types/type"><xsl:value-of select="@id"/><xsl:if test="position() != last()">,</xsl:if></xsl:for-each>
+    								</xsl:attribute>
+    								<i18n:text i18n:key="FRONT_MODULE_SEARCH_CONTENTTYPE_ALL_OPTION"/>
+    							</option>
+    							<xsl:for-each select="/search/form/fields/content-types/type">
+    								<xsl:variable name="id" select="@id"/>
+    								<option value="{$id}">
+    									<xsl:if test="/search/form/values/content-type[$id = .]">
+    										<xsl:attribute name="selected">selected</xsl:attribute>
+    									</xsl:if>
+    									<xsl:copy-of select="."/>
+    								</option>
+    							</xsl:for-each>
+    						</select>
+    					</div>
+				</div>
+				</xsl:when>
+				<xsl:when test="count(/search/form/fields/content-types/type) = 1">
+					<input type="hidden" name="content-types" value="{/search/form/fields/content-types/type/@id}"/>
+				</xsl:when>
+				<xsl:when test="/search/form/fields/content-types-choice = 'none' or /search/form/fields/content-types-choice = 'filter'">
+					<xsl:for-each select="/search/form/fields/content-types/type">
+						<input type="hidden" name="content-types" value="{@id}"/>
+					</xsl:for-each>
+				</xsl:when>
 			</xsl:choose>
 			
 			<xsl:for-each select="/search/form/fields/tags/category">
 				<div class="field">
 					<div class="label"><label for="tag-input-{position()}"><xsl:value-of select="title"/></label></div>
-					<div>
+					<div class="input">
 						<select name="tags-{position()}" id="tag-input-{position()}">
 							<option>
 								<xsl:attribute name="value">
@@ -208,12 +203,11 @@
 								</option>
 							</xsl:for-each>
 						</select>
-						<br/>
 					</div>
 				</div>
 			</xsl:for-each>
 			<xsl:if test="/search/form/fields/tags/category">
-				<div><input type="hidden" name="tags-size" value="{count(/search/form/fields/tags/category)}"/></div>
+				<input type="hidden" name="tags-size" value="{count(/search/form/fields/tags/category)}"/>
 			</xsl:if>
 			
 			<xsl:if test="/search/form/fields/multisite"> 
@@ -221,7 +215,7 @@
 			
 				<div class="field">
 					<div class="label"><label for="sites-input"><i18n:text i18n:key="FRONT_MODULE_SEARCH_MULTISITE_CHOICE"/></label></div>
-					<div>
+					<div class="input">
 						<xsl:variable name="select-size">
 							<xsl:choose>
 								<xsl:when test="count(/search/form/fields/sites/site) &gt; 5">5</xsl:when>
Index: webapp/cms/plugins/web/pages/services/resources/search.xsl
===================================================================
--- webapp/cms/plugins/web/pages/services/resources/search.xsl	(revision 8889)
+++ webapp/cms/plugins/web/pages/services/resources/search.xsl	(working copy)
@@ -44,12 +44,20 @@
 		
 			<body id="default">
 				
-				<div id="service-search-wrapper">
+				<div class="service service-search">
 					
 					<xsl:if test="$header != ''">
 						<h1><xsl:value-of select="$header"/></h1>
 					</xsl:if>
 					
+                    <xsl:if test="hits/hit and $on-same-page != 'true'">
+                        <div class="back">
+                            <a href="{$cms-context}/{url}" title="FRONT_MODULE_SEARCH_BACK_TO_SEARCH_TITLE" i18n:attr="title">
+                                <i18n:text i18n:key="FRONT_MODULE_SEARCH_BACK_TO_SEARCH"/>
+                            </a>
+                        </div>
+                    </xsl:if>                    
+                    
 					<form action="{$cms-context}/{/search/url}#nav" method="post" class="search">
 						<xsl:choose>
 							<xsl:when test="$on-same-page = 'true' or count(hits/hit) = 0">
@@ -59,9 +67,6 @@
 								<xsl:call-template name="form-search-hidden"/>
 							</xsl:otherwise>
 						</xsl:choose>
-						<xsl:if test="hits/hit and $on-same-page != 'true'">
-							<div class="back"><a href="{$cms-context}/{url}" title="FRONT_MODULE_SEARCH_BACK_TO_SEARCH_TITLE" i18n:attr="title"><i18n:text i18n:key="FRONT_MODULE_SEARCH_BACK_TO_SEARCH"/></a></div>
-						</xsl:if>
 							
 						<a name="nav"/>
 						
@@ -71,14 +76,12 @@
 					</form>	
 					
 					<xsl:choose>
-					
 						<xsl:when test="hits/hit">
 							<xsl:call-template name="hits"/>
-							
 							<xsl:call-template name="pagination"/>
 						</xsl:when>
 						<xsl:when test="/search/form/values and not(/search/illegal-textfield)">
-							<div class="no-result"><i18n:text i18n:key="FRONT_MODULE_SEARCH_NO_RESULT"/></div>
+							<p class="no-result"><i18n:text i18n:key="FRONT_MODULE_SEARCH_NO_RESULT"/></p>
 						</xsl:when>
 					</xsl:choose>
 					
@@ -92,27 +95,34 @@
 		 | Template for results
 		 + -->
 	<xsl:template name="hits">
-		
-		<dl class="search-hits">
-							
-			<xsl:for-each select="/search/hits/hit">
-				<dt class="hit resource">
-					<xsl:if test="position() mod 2 = 0"><xsl:attribute name="class">hit resource even</xsl:attribute></xsl:if>
-					<img class="icon" src="{$contextPath}/{icon}" alt=""/>
-					<a href="{$cms-context}/{uri}" title="{title}"><xsl:value-of select="title"/></a>
-					<span class="size"> <xsl:value-of select="size"/></span>
-				</dt>
-				<dd class="hit resource">	
-					<xsl:if test="position() mod 2 = 0"><xsl:attribute name="class">hit resource even</xsl:attribute></xsl:if>
-					<xsl:value-of select="excerpt"/>
-					<xsl:if test="/search/form/values/multisite">
-						<br/>
-						<span class="site"><xsl:value-of select="siteTitle"/><xsl:text> - </xsl:text><a href="{siteUrl}" target="_blank" title="{siteTitle}"><xsl:value-of select="siteUrl"/></a></span>
-					</xsl:if>
-				</dd>
-			</xsl:for-each>
-			
-		</dl>
+		<div class="results">
+            <ul>
+                <xsl:for-each select="/search/hits/hit">
+                    <li>
+                        <xsl:attribute name="class">resource
+                            <xsl:if test="position() mod 2 = 0"><xsl:text> even</xsl:text></xsl:if>                                
+                            <xsl:if test="position() = 1"><xsl:text> first</xsl:text></xsl:if>
+                            <xsl:if test="position() = last()"><xsl:text> last</xsl:text></xsl:if>                           
+                        </xsl:attribute>
+                        <div class="service-search-item">
+                            <img class="icon" src="{$contextPath}/{icon}" alt=""/>
+                            <a href="{$cms-context}/{uri}" title="{title}"><xsl:value-of select="title"/></a>
+                            <span class="size"> <xsl:value-of select="size"/></span>
+                        </div>
+                        <xsl:if test="excerpt">
+                            <div class="service-search-excerpt">
+                                <xsl:value-of select="excerpt"/>
+                            </div> 
+                        </xsl:if>
+                        <xsl:if test="/search/form/values/multisite">
+                            <div class="service-search-site">
+                                <p><xsl:value-of select="siteTitle"/><xsl:text> - </xsl:text><a href="{siteUrl}" target="_blank" title="{siteTitle}"><xsl:value-of select="siteUrl"/></a></p>
+                            </div>
+                        </xsl:if>                                                 
+                    </li>
+                </xsl:for-each>
+            </ul>
+        </div>
 	</xsl:template>	
 	
 	<!-- +
@@ -120,7 +130,7 @@
 		 + -->
 	<xsl:template name="results-sort">
 		<div class="results-sort">
-			<ul class="sort">
+			<ul>
 				<li><span><i18n:text i18n:key="FRONT_MODULE_SEARCH_SORT_BY"/></span></li>
 				<li>
 					<xsl:choose>
@@ -152,70 +162,68 @@
 		 + -->
 	<xsl:template name="pagination">
 		<form id="reload" method="post" action="{$cms-context}/{/search/url}#nav" accept-charset="UTF-8">
-			<div>
-                <input type="hidden" name="submit-form">
-                    <xsl:if test="/search/group-id and normalize-space(/search/group-id) != ''">
-                        <xsl:attribute name="value"><xsl:value-of select="/search/group-id"/></xsl:attribute>
-                    </xsl:if>
-                </input>
-                <xsl:if test="/search/zone-item/@id">
-                    <input type="hidden" name="zone-item-id" value="{/search/zone-item/@id}"/>
+            <input type="hidden" name="submit-form">
+                <xsl:if test="/search/group-id and normalize-space(/search/group-id) != ''">
+                    <xsl:attribute name="value"><xsl:value-of select="/search/group-id"/></xsl:attribute>
                 </xsl:if>
-                
-				<input type="hidden" name="textfield" value="{/search/form/values/textfield}"/>
-				<input type="hidden" name="offset" value="{/search/form/values/offset}"/>
-				<input type="hidden" name="start" value="{/search/form/values/start}"/>
-				
-				<!-- Creator -->
-				<xsl:for-each select="/search/form/values/creator">
-					<input type="hidden" name="dc_creator" value="{.}"/>
-				</xsl:for-each>
-		
-				<!-- Format -->
-				<xsl:for-each select="/search/form/values/format">
-					<input type="hidden" name="dc_format" value="{.}"/>
-				</xsl:for-each>
-						
-				<!-- Publisher -->
-				<xsl:for-each select="/search/form/values/publisher">
-					<input type="hidden" name="dc_publisher" value="{.}"/>
-				</xsl:for-each>
-				
-				<!-- Rights -->
-				<xsl:for-each select="/search/form/values/rights">
-					<input type="hidden" name="dc_rights" value="{.}"/>
-				</xsl:for-each>
-		
-				<!-- Page(s) -->
-				<xsl:choose>
-					<xsl:when test="count(/search/form/fields/pages/page) &gt;= 1">
-						<xsl:for-each select="/search/form/values/page">
-							<input type="hidden" name="pages" value="{.}"/>
-						</xsl:for-each>
-					</xsl:when>
-					<xsl:when test="count(/search/form/fields/pages/page) = 1">
-						<input type="hidden" name="pages" value="{/search/form/fields/pages/page/@path}"/>
-					</xsl:when>
-				</xsl:choose>
-		
-				<xsl:if test="/search/form/values/multisite">
-					<input type="hidden" name="multisite" value="true"/>
-					<xsl:for-each select="/search/form/values/site">
-						<input type="hidden" name="sites" value="{.}"/>
+            </input>
+            <xsl:if test="/search/zone-item/@id">
+                <input type="hidden" name="zone-item-id" value="{/search/zone-item/@id}"/>
+            </xsl:if>
+            
+			<input type="hidden" name="textfield" value="{/search/form/values/textfield}"/>
+			<input type="hidden" name="offset" value="{/search/form/values/offset}"/>
+			<input type="hidden" name="start" value="{/search/form/values/start}"/>
+			
+			<!-- Creator -->
+			<xsl:for-each select="/search/form/values/creator">
+				<input type="hidden" name="dc_creator" value="{.}"/>
+			</xsl:for-each>
+	
+			<!-- Format -->
+			<xsl:for-each select="/search/form/values/format">
+				<input type="hidden" name="dc_format" value="{.}"/>
+			</xsl:for-each>
+					
+			<!-- Publisher -->
+			<xsl:for-each select="/search/form/values/publisher">
+				<input type="hidden" name="dc_publisher" value="{.}"/>
+			</xsl:for-each>
+			
+			<!-- Rights -->
+			<xsl:for-each select="/search/form/values/rights">
+				<input type="hidden" name="dc_rights" value="{.}"/>
+			</xsl:for-each>
+	
+			<!-- Page(s) -->
+			<xsl:choose>
+				<xsl:when test="count(/search/form/fields/pages/page) &gt;= 1">
+					<xsl:for-each select="/search/form/values/page">
+						<input type="hidden" name="pages" value="{.}"/>
 					</xsl:for-each>
-				</xsl:if>
-				
-				<xsl:choose>
-					<xsl:when test="/search/sort-by-title-for-sorting">
-						<input type="hidden" name="sort-by-title-for-sorting"/>
-					</xsl:when>
-					<xsl:when test="/search/sort-by-date">
-						<input type="hidden" name="sort-by-date"/>
-					</xsl:when>
-					<xsl:otherwise>
-					</xsl:otherwise>
-				</xsl:choose>
-			</div>
+				</xsl:when>
+				<xsl:when test="count(/search/form/fields/pages/page) = 1">
+					<input type="hidden" name="pages" value="{/search/form/fields/pages/page/@path}"/>
+				</xsl:when>
+			</xsl:choose>
+	
+			<xsl:if test="/search/form/values/multisite">
+				<input type="hidden" name="multisite" value="true"/>
+				<xsl:for-each select="/search/form/values/site">
+					<input type="hidden" name="sites" value="{.}"/>
+				</xsl:for-each>
+			</xsl:if>
+			
+			<xsl:choose>
+				<xsl:when test="/search/sort-by-title-for-sorting">
+					<input type="hidden" name="sort-by-title-for-sorting"/>
+				</xsl:when>
+				<xsl:when test="/search/sort-by-date">
+					<input type="hidden" name="sort-by-date"/>
+				</xsl:when>
+				<xsl:otherwise>
+				</xsl:otherwise>
+			</xsl:choose>
 			
 			<div class="pagination">
 				
@@ -358,7 +366,6 @@
 				<div class="label"><label for="search-input-{$uniqueId}"><i18n:text i18n:key="FRONT_MODULE_SEARCH_KEYWORDS"/></label></div>
 				<div>
 					<input id="search-input-{$uniqueId}" type="text" name="textfield" value="{/search/form/values/textfield}"/>
-					<br/>
 					<xsl:if test="/search/illegal-textfield">
 						<span class="error"><i18n:text i18n:key="PLUGINS_WEB_SERVICE_FRONT_SEARCH_INVALID_TEXTFIELD"/></span>
 					</xsl:if>
@@ -388,12 +395,11 @@
 									</option>
 								</xsl:for-each>
 							</select>
-							<br/>
 						</div>
 					</div>
 				</xsl:when>
 				<xsl:when test="count(/search/form/fields/pages/page) = 1">
-					<div><input type="hidden" name="pages" value="{/search/form/fields/pages/page/@path}"/></div>
+					<input type="hidden" name="pages" value="{/search/form/fields/pages/page/@path}"/>
 				</xsl:when>
 			</xsl:choose>
 			
@@ -403,7 +409,6 @@
 				<div class="label"><label for="creator-input-{$uniqueId}"><i18n:text i18n:key="FRONT_MODULE_SEARCH_CREATOR"/></label></div>
 				<div>
 					<input id="creator-input-{$uniqueId}" type="text" name="dc_creator" value="{/search/form/values/creator}"/>
-					<br/>
 					<xsl:if test="/search/illegal-textfield">
 						<span class="error"><i18n:text i18n:key="PLUGINS_WEB_SERVICE_FRONT_SEARCH_INVALID_TEXTFIELD"/></span>
 					</xsl:if>
@@ -428,7 +433,6 @@
 								</option>
 							</xsl:for-each>
 						</select>
-						<br/>
 					</div>
 				</div>
 			</xsl:if>
@@ -472,7 +476,6 @@
 								</option>
 							</xsl:for-each>
 						</select>
-						<br/>
 					</div>
 				</div>
 			</xsl:if>
Index: webapp/cms/plugins/web/pages/services/search/search.xsl
===================================================================
--- webapp/cms/plugins/web/pages/services/search/search.xsl	(revision 8889)
+++ webapp/cms/plugins/web/pages/services/search/search.xsl	(working copy)
@@ -56,7 +56,7 @@
 				<xsl:call-template name="pagination"/>
 			</xsl:when>
 			<xsl:when test="/search/form/values and not(/search/illegal-textfield)">
-				<div class="no-result"><i18n:text i18n:key="FRONT_MODULE_SEARCH_NO_RESULT"/></div>
+				<p class="no-result"><i18n:text i18n:key="FRONT_MODULE_SEARCH_NO_RESULT"/></p>
 			</xsl:when>
 		</xsl:choose>
 	</xsl:template>
@@ -90,30 +90,42 @@
 		 + -->
 	<xsl:template name="hits">
 		
-		<dl class="search-hits">
+		<ul>
 							
 			<xsl:for-each select="/search/hits/hit|/search/content-types/*[@current = 'true']/hits/hit">
 			
 				<xsl:choose>
 					<xsl:when test="type = 'resource'"> 
-						<dt class="hit resource">
-							<xsl:if test="position() mod 2 = 0"><xsl:attribute name="class">hit resource even</xsl:attribute></xsl:if>
-							<img class="icon" src="{$contextPath}/{icon}" alt=""/>
-							<a href="{$cms-context}/{uri}.html" title="{title}"><xsl:value-of select="title"/></a>
-							<span class="size"> (<xsl:value-of select="size"/>)</span>
-						</dt>
-						<dd class="hit resource">	
-							<xsl:if test="position() mod 2 = 0"><xsl:attribute name="class">hit resource even</xsl:attribute></xsl:if>
-							<xsl:value-of select="excerpt"/>
-							<xsl:if test="/search/form/values/multisite">
-								<br/>
-								<span class="site"><xsl:value-of select="siteTitle"/><xsl:text> - </xsl:text><a href="{siteUrl}" target="_blank" title="{siteTitle}"><xsl:value-of select="siteUrl"/></a></span>
-							</xsl:if>
-						</dd>
+						<li>
+                            <xsl:attribute name="class">hit resource
+                                <xsl:if test="position() mod 2 = 0"><xsl:text> even</xsl:text></xsl:if>                                
+                                <xsl:if test="position() = 1"><xsl:text> first</xsl:text></xsl:if>
+                                <xsl:if test="position() = last()"><xsl:text> last</xsl:text></xsl:if>                           
+                            </xsl:attribute>                        
+							<div class="service-search-item">
+                                <img class="icon" src="{$contextPath}/{icon}" alt=""/>
+    							<a href="{$cms-context}/{uri}.html" title="{title}"><xsl:value-of select="title"/></a>
+    							<span class="size"> (<xsl:value-of select="size"/>)</span>
+                            </div>
+                            <xsl:if test="excerpt">
+                                <div class="service-search-excerpt">
+                                    <xsl:value-of select="excerpt"/>
+                                </div> 
+                            </xsl:if>                            
+                            <xsl:if test="/search/form/values/multisite">
+                                <div class="service-search-site">
+                                    <p><xsl:value-of select="siteTitle"/><xsl:text> - </xsl:text><a href="{siteUrl}" target="_blank" title="{siteTitle}"><xsl:value-of select="siteUrl"/></a></p>
+                                </div>
+                            </xsl:if>
+						</li>
 					</xsl:when>
 					<xsl:otherwise>
-						<dt class="hit page">
-							<xsl:if test="position() mod 2 = 0"><xsl:attribute name="class">hit page even</xsl:attribute></xsl:if>
+						<li>
+                            <xsl:attribute name="class">hit page
+                                <xsl:if test="position() mod 2 = 0"><xsl:text> even</xsl:text></xsl:if>                                
+                                <xsl:if test="position() = 1"><xsl:text> first</xsl:text></xsl:if>
+                                <xsl:if test="position() = last()"><xsl:text> last</xsl:text></xsl:if>                        
+                            </xsl:attribute>
 							<a title="{title}">
                                 <xsl:attribute name="href">
                                     <xsl:value-of select="$cms-context"/>
@@ -142,22 +154,23 @@
                                 </xsl:attribute>
                                 <xsl:value-of select="title"/>
                             </a>
-						</dt>
-						<dd class="hit page">	
-							<xsl:if test="position() mod 2 = 0"><xsl:attribute name="class">hit page even</xsl:attribute></xsl:if>
-							<xsl:value-of select="excerpt"/>
-							
-							<xsl:if test="/search/form/values/multisite">
-								<br/>
-								<span class="site"><xsl:value-of select="siteTitle"/><xsl:text> - </xsl:text><a href="{siteUrl}" target="_blank" title="{siteTitle}"><xsl:value-of select="siteUrl"/></a></span>
-							</xsl:if>
-						</dd>
+                            <xsl:if test="excerpt">
+                                <div class="service-search-excerpt">
+                                    <xsl:value-of select="excerpt"/>
+                                </div> 
+                            </xsl:if>
+                            <xsl:if test="/search/form/values/multisite">
+                                <div class="service-search-site">
+                                    <p><xsl:value-of select="siteTitle"/><xsl:text> - </xsl:text><a href="{siteUrl}" target="_blank" title="{siteTitle}"><xsl:value-of select="siteUrl"/></a></p>
+                                </div>
+                            </xsl:if>
+						</li>
 					</xsl:otherwise>
 				</xsl:choose>
 				
 			</xsl:for-each>
 			
-		</dl>
+		</ul>
 	</xsl:template>	
 	
 	<!-- +
@@ -165,7 +178,7 @@
 		 + -->
 	<xsl:template name="results-sort">
 		<div class="results-sort">
-			<ul class="sort">
+			<ul>
 				<li><span><i18n:text i18n:key="FRONT_MODULE_SEARCH_SORT_BY"/></span></li>
 				<li>
 					<xsl:choose>
@@ -197,7 +210,6 @@
 						</xsl:otherwise>
 					</xsl:choose>
 				</li>
-				
 			</ul>
 		</div>
 	</xsl:template>
@@ -208,75 +220,73 @@
 		 + -->
 	<xsl:template name="pagination">
 		<form id="reload" method="post" action="{$cms-context}/{/search/url}#nav" accept-charset="UTF-8">
-			<div>
-                <input type="hidden" name="submit-form">
-                    <xsl:if test="/search/group-id and normalize-space(/search/group-id) != ''">
-                        <xsl:attribute name="value"><xsl:value-of select="/search/group-id"/></xsl:attribute>
-                    </xsl:if>
-                </input>
-                <xsl:if test="/search/zone-item/@id">
-                    <input type="hidden" name="zone-item-id" value="{/search/zone-item/@id}"/>
+            <input type="hidden" name="submit-form">
+                <xsl:if test="/search/group-id and normalize-space(/search/group-id) != ''">
+                    <xsl:attribute name="value"><xsl:value-of select="/search/group-id"/></xsl:attribute>
                 </xsl:if>
-                
-				<input type="hidden" name="textfield" value="{/search/form/values/textfield}"/>
-				
-				<!-- All words -->
-				<xsl:if test="/search/form/fields/all-words">
-					<input type="hidden" name="all-words" value="{/search/form/values/all-words}"/>
-				</xsl:if>
-				
-				<!-- Exact wording or phrase -->
-				<xsl:if test="/search/form/fields/exact-wording">
-					<input type="hidden" name="exact-wording" value="{/search/form/values/exact-wording}"/>
-				</xsl:if>
-				
-				<!-- No words -->
-				<xsl:if test="/search/form/fields/no-words">
-					<input type="hidden" name="no-words" value="{/search/form/values/no-words}"/>
-				</xsl:if>
+            </input>
+            <xsl:if test="/search/zone-item/@id">
+                <input type="hidden" name="zone-item-id" value="{/search/zone-item/@id}"/>
+            </xsl:if>
+            
+			<input type="hidden" name="textfield" value="{/search/form/values/textfield}"/>
 			
-				<!-- Page(s) -->
-				<xsl:choose>
-					<xsl:when test="count(/search/form/fields/pages/page) &gt; 1">
-						<xsl:for-each select="/search/form/values/page">
-							<input type="hidden" name="pages" value="{.}"/>
-						</xsl:for-each>
-					</xsl:when>
-					<xsl:when test="count(/search/form/fields/pages/page) = 1">
-						<input type="hidden" name="pages" value="{/search/form/fields/pages/page/@path}"/>
-					</xsl:when>
-				</xsl:choose>
+			<!-- All words -->
+			<xsl:if test="/search/form/fields/all-words">
+				<input type="hidden" name="all-words" value="{/search/form/values/all-words}"/>
+			</xsl:if>
+			
+			<!-- Exact wording or phrase -->
+			<xsl:if test="/search/form/fields/exact-wording">
+				<input type="hidden" name="exact-wording" value="{/search/form/values/exact-wording}"/>
+			</xsl:if>
+			
+			<!-- No words -->
+			<xsl:if test="/search/form/fields/no-words">
+				<input type="hidden" name="no-words" value="{/search/form/values/no-words}"/>
+			</xsl:if>
 		
-				<input type="hidden" name="offset" value="{/search/form/values/offset}"/>
-				<input type="hidden" name="start" value="{/search/form/values/start}"/>
-				<xsl:for-each select="/search/form/values/content-type">
-					<input type="hidden" name="content-types" value="{.}"/>
-				</xsl:for-each>
-				<xsl:for-each select="/search/form/values/tag">
-					<input type="hidden" name="tags" value="{.}"/>
-				</xsl:for-each>
-				<xsl:if test="/search/form/values/multisite">
-					<input type="hidden" name="multisite" value="true"/>
-					<xsl:for-each select="/search/form/values/site">
-						<input type="hidden" name="sites" value="{.}"/>
+			<!-- Page(s) -->
+			<xsl:choose>
+				<xsl:when test="count(/search/form/fields/pages/page) &gt; 1">
+					<xsl:for-each select="/search/form/values/page">
+						<input type="hidden" name="pages" value="{.}"/>
 					</xsl:for-each>
-				</xsl:if>
-				
-				<xsl:for-each select="/search/content-types/*[@current = 'true']">
-					<input type="hidden" name="current-ctype-filter" value="{local-name()}"/>
+				</xsl:when>
+				<xsl:when test="count(/search/form/fields/pages/page) = 1">
+					<input type="hidden" name="pages" value="{/search/form/fields/pages/page/@path}"/>
+				</xsl:when>
+			</xsl:choose>
+	
+			<input type="hidden" name="offset" value="{/search/form/values/offset}"/>
+			<input type="hidden" name="start" value="{/search/form/values/start}"/>
+			<xsl:for-each select="/search/form/values/content-type">
+				<input type="hidden" name="content-types" value="{.}"/>
+			</xsl:for-each>
+			<xsl:for-each select="/search/form/values/tag">
+				<input type="hidden" name="tags" value="{.}"/>
+			</xsl:for-each>
+			<xsl:if test="/search/form/values/multisite">
+				<input type="hidden" name="multisite" value="true"/>
+				<xsl:for-each select="/search/form/values/site">
+					<input type="hidden" name="sites" value="{.}"/>
 				</xsl:for-each>
-				
-				<xsl:choose>
-					<xsl:when test="/search//sort-by-title-for-sorting">
-						<input type="hidden" name="sort-by-title-for-sorting"/>
-					</xsl:when>
-					<xsl:when test="/search//sort-by-last-validation">
-						<input type="hidden" name="sort-by-last-validation"/>
-					</xsl:when>
-					<xsl:otherwise>
-					</xsl:otherwise>
-				</xsl:choose>
-			</div>
+			</xsl:if>
+			
+			<xsl:for-each select="/search/content-types/*[@current = 'true']">
+				<input type="hidden" name="current-ctype-filter" value="{local-name()}"/>
+			</xsl:for-each>
+			
+			<xsl:choose>
+				<xsl:when test="/search//sort-by-title-for-sorting">
+					<input type="hidden" name="sort-by-title-for-sorting"/>
+				</xsl:when>
+				<xsl:when test="/search//sort-by-last-validation">
+					<input type="hidden" name="sort-by-last-validation"/>
+				</xsl:when>
+				<xsl:otherwise>
+				</xsl:otherwise>
+			</xsl:choose>
 			
 			<div class="pagination">
 				
